Bug 1335768 - ceilometer floating ip pollster is broken
Summary: ceilometer floating ip pollster is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: async
: 7.0 (Kilo)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On: 1293683
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 08:01 UTC by Mehdi ABAAKOUK
Modified: 2019-10-10 12:06 UTC (History)
9 users (show)

Fixed In Version: openstack-ceilometer-2015.1.3-2.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1293683
Environment:
Last Closed: 2016-05-25 12:18:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1536338 0 None None None 2016-05-13 08:01:49 UTC
Red Hat Product Errata RHBA-2016:1122 0 normal SHIPPED_LIVE openstack-ceilometer bug fix advisory 2016-05-25 16:17:56 UTC

Comment 2 Yurii Prokulevych 2016-05-18 08:24:41 UTC
Verified  with 3 tenants with a floating ip in each.
neutron floatingip-list
+--------------------------------------+------------------+---------------------+--------------------------------------+
| id                                   | fixed_ip_address | floating_ip_address | port_id                              |
+--------------------------------------+------------------+---------------------+--------------------------------------+
| 262149af-b921-4ca9-a47c-c1938dbfd1e2 | 192.168.240.103  | 192.0.2.155         | 3c38a8f3-b0a6-48bf-a268-fe31375402e2 |
| 32903e74-531b-40ce-8ee9-0b2ce58a8575 | 192.168.230.103  | 192.0.2.150         | b67d18ab-07d0-4841-9965-c6e6d779d2d2 |
| 3d899264-3ff6-4561-b900-8c0955735b74 | 192.168.235.103  | 192.0.2.153         | baf4850c-6409-488f-8199-80f06aeaa5d9 |
+--------------------------------------+------------------+---------------------+--------------------------------------+

Samples for meters are collected:
=================================
ceilometer sample-list -m ip.floating -l 9
+--------------------------------------+-------------+-------+--------+------+----------------------------+
| Resource ID                          | Name        | Type  | Volume | Unit | Timestamp                  |
+--------------------------------------+-------------+-------+--------+------+----------------------------+
| 262149af-b921-4ca9-a47c-c1938dbfd1e2 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:21:25.429000 |
| 32903e74-531b-40ce-8ee9-0b2ce58a8575 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:21:25.253000 |
| 3d899264-3ff6-4561-b900-8c0955735b74 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:21:25.052000 |
| 262149af-b921-4ca9-a47c-c1938dbfd1e2 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:20:25.388000 |
| 32903e74-531b-40ce-8ee9-0b2ce58a8575 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:20:25.343000 |
| 3d899264-3ff6-4561-b900-8c0955735b74 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:20:25.172000 |
| 32903e74-531b-40ce-8ee9-0b2ce58a8575 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:19:32.108000 |
| 3d899264-3ff6-4561-b900-8c0955735b74 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:19:31.605000 |
| 262149af-b921-4ca9-a47c-c1938dbfd1e2 | ip.floating | gauge | 1.0    | ip   | 2016-05-18T08:19:31.318000 |
+--------------------------------------+-------------+-------+--------+------+----------------------------+

Packages:
=========
python-ceilometerclient-1.0.14-1.el7ost.noarch
python-ceilometer-2015.1.3-2.el7ost.noarch
openstack-ceilometer-api-2015.1.3-2.el7ost.noarch
openstack-ceilometer-notification-2015.1.3-2.el7ost.noarch
openstack-ceilometer-compute-2015.1.3-2.el7ost.noarch
openstack-ceilometer-collector-2015.1.3-2.el7ost.noarch
openstack-ceilometer-central-2015.1.3-2.el7ost.noarch
openstack-ceilometer-common-2015.1.3-2.el7ost.noarch
openstack-ceilometer-alarm-2015.1.3-2.el7ost.noarch

Comment 4 errata-xmlrpc 2016-05-25 12:18:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1122.html


Note You need to log in before you can comment on or make changes to this bug.